Pull to refresh

Comments 54

Как обстоят дела с другими браузерами? firefox, opera?
UFO just landed and posted this here
Ну, по идее, это стандартный путь для плагинов. И Firefox и Opera его обычно знают и умеют. В случае чего, Оперу можно подтолкнуть, указав путь в несколько кликов (хотя там тоже были когда-то подводные камни, когда надо было перекладывать .so в другое место).

Больше интересует другое — а что, в ubuntu x86_64 с помощью пакетного менеджера до сих пор ставится 32-битный плагин? Странно, что нет более человеческого способа. (В gentoo оно рулится флагом «64bit» в USE и прекрасно ставится и работает)
64-битный нестабильный и выходит реже, не? А сайты требуют последнюю версию плагина.
У меня и под виндой-то флэш иногда крякает… про какую стабильность говорим? :)

А насчет версий — в портежах сейчас www-plugins/adobe-flash-10.2.153.1_p201011173. За последнее время ни разу не натыкался на просьбу обновить флэш.
есть более человеческий способ

sudo add-apt-repository ppa:sevenmachines/flash
sudo apt-get update
# сносим (если установлен) пакет с flashplugin
sudo apt-get install flashplugin64-installer

радуемся последнему флешу. как приползёт что-то новее — обновится автоматом
У меня именно так и стоит Flash player в Ubuntu x86-64, и действительно автоматически обновляется, и даже не падает при работе в Opera (поэтому изначально не понял, о какой проблеме речь в топике. Может это только на Grooveshark проявляется?).

Но стоит признать, что через этот flashplugin64-installer ставится вовсе не нативная x86-64 версия Flash-плагина (релиза Adobe Flash Player x86-64 под Linux ещё не было), а ставится официальная последняя x86-версия Adobe Flash Player, которая работает в 64-разрядной среде через прослойку nspluginwrapper.
Вы не правы, nspluginwrapper удалён, всё работает.

к тому же:
/usr/lib/flashplugin-installer/libflashplayer.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped
Значит с некоторых пор flashplugin64-installer стал вытягивать полноценную x86-64 версию плагина. Раньше он подтягивал x86-версию вместе с nspluginwrapper.
ух, точно, проверил поиском по «nspluginwrapper» — было выдано две статьи и обе не прямо в тему, даже читать не стал.

что ж, тогда звиняйте.
Ничего страшного, тема весьма актуальна. Лишний топик никому особо не помешает.
Спасибо! Сделал у себя тоже — будет наблюдать
прочёл про «будет наблюдать» и подумалось: моя младшая дочь иногда возмущённо спрашивает «откуда ты хочешь это знать?», я не знаю как объяснить её, что это и не русский и не албанский :)
В моем случае это дикая опечатка ^_^
а в случае с дочкой — это буквальный перевод с немецкого.
впрочем, английский вариант «how do you know?» тоже забавен, хотя и не так, как немецкий.
а что не так с английским вариантом?
в переводе будет «как ты это понимаешь?»

— у меня плохое настроение
— как ты понял, что у тебя плохое настроение?
дословно всё же «как ты это знаешь?». Ремейк:

— у меня плохое настроение
— как ты это знаешь, что у тебя плохое настроение?
— ты ещё и издеваешься? что значит «как ты это знаешь»? моз-га-ми я это знаю, чем же ещё?!

:o)
Ну они и до этого работали, только иногда весь флешь отваливался
хром или ФФ?

всё как в инструкции или с отклонениями?
Плагин. nspluginwrapper'ом уже наверное года 2 не пользуюсь. И всё равно если есть несколько вкладок с видео, то при проигрывании одной из них есть шанс процентов в 30, что плагин упадет, прихватив флешки из всех остальных вкладок
*пользуюсь хромом с 64 битным флешем с момента выхода самой первой версии 64 битного плагина, стабильность медленно растет, но всё-равно ужасная
Проблема в том, что это нарушает целостность пакетной системы.
Если установить flashplugin64-installer из ppa:sevenmachines/flash, то не нарушает.
О! Спасибо!
Поставил из ppa. Пока полет нормальный. Забодали уже серые квадратики вместо видео. Сайт откроешь — все нормуль, между табами попрыгаешь и получаем серые квадраты. Теперь все ок.
Пользовательским файлам нечего делать в системных директориях. В этом случае плагин нужно селить в ~/.mozilla/plugins.
Debian squeeze — icqweasel проблема осталась, но не на всех сайтах (youtube все ок, а moskva.fm вообще игнорирует флэш), в опере и хроме все хорошо.
На старой машине, 2 года назад пропатчил (не могу вспомнить название патча, если сейчас найду то расскажу) и до сих пор все хорошо работает.
ПАТЧ «barain fuck patch» для кернела (BFS)
Brain Fuck Scheduler — ставим за 5 минут
Репозиторий для скачивания патча
тобы самому не собирать, можно вот этим ядром воспользоваться
там помимо bfs еще куча других патчей
Сори линки не видны в записях (карма) выкладываю параллельно:
Brain Fuck Scheduler — ставим за 5 минут
habrahabr.ru/blogs/ubuntu/68946/

Репозиторий для скачивания патча
ck.kolivas.org/patches/bfs/

тобы самому не собирать, можно вот этим ядром воспользоваться
там помимо bfs еще куча других патчей
zen-kernel.org/releases
Зачем так сложно? Три команды надо всего:
sudo add-apt-repository ppa:chogydan/ppa
sudo apt-get update
sudo apt-get install linux-image-generic-ck linux-headers-generic-ck
О! Вот это дело.
Хоть использую Линукс только на сервере, но должен отметить грамотность подхода. Данный коммент в виде топика нес бы болшую ценность, чем сам этот топик (если бы по ссылке и так не было все ясно).
Хабр, как раз, — особо ценен именно комментариями.

P.S. В подходе уважаемого автора топика есть проблеммка с обновлениями.
друзья, не поверите и там в своё время был, но фразы типа "(EXPERIMENTAL: more features and less stability )" обивали охоту читать хоть что-то дальше, ибо мне не нужно было никаких новых фич, а нужна была эта самая стабильность.

какие там фичи, если весь профиль моих надобностей это:
95% — grooveshark
5% — youtube
Ну в общем, когда некая функция глючит и написано что будет менее стабильно — есть над чем подумать, а тем более трудно ожидать, что станет постабильнее.
люди, напишите же какой-нибудь гризманки скрипт к хабру, что ли…
иной раз прочтёшь ответ и потом фиг на глаз разберёшься к чему он был написан…

html prettyprint чтоли призвать на помощь? :)
комментарий на первом уровне. относится к топику.
А для остальных уровней есть стрелочка около даты коммента
Всё хорошо с версиями… Подключен репазиторий ppa:sevenmachines/flash

За такое руки надо отрывать.
1) А почему бы не поставить флеш из репозитория. Ну или если нету в репозитории, то из оверлея (хз как называются оверлеи в убунте)
2) Даже если и решили ставить вручную, ставить надо в хомяк, чтобы потом не получить лишний гемор.

Windows-way оставьте окнам.
Согласен. В дистре, который типа «Linux for people» предлагают качать архивы и распаковывать их в /usr, ладно еще в /usr/local бы предложили. Или в комментах предлагают ядро патчить и компилить. Мы на серваках этого уже наелись, на десктопе хочется просто добавить репу и поставить готовый пакет без лишнего секиса.
хехе. сразу видно экстримала. у нормальных людей на серваках стоят красношляпы, которые, понятное дело, не нуждаются в плясках с патчами. а вот дома как раз можно поиграться с патчами и блидинг эджем, благо за это не уволят и не оштрафуют.
Вы не поверите, но на серваках я юзаю шляпу и цент. Но частенько попадается экзотическое железо с которым стандартной сборкой модуля выкрутиться не всегда получается. Хотя уже года два не собирал ядро уже, но последнего раза мне хватило надолго :)
А почему не юзать ппа-шку launchpad.net/~sevenmachines/+archive/flash ?? И флеш последний и никакой мороки с апдейтами этого же флеша. Зачем руками ставить и следить постоянно за апдейтами ведь за нас всё менеджер обновлений и мейнтейнеры?
Странно, никогда не было таких проблем
кстати, в 64bit флэше не работает фейсбучный фотоаплоадер. как жить?)
ах вот в чём проблема!!! блин. а я уже извёлся весь.
UFO just landed and posted this here
UFO just landed and posted this here
Only those users with full accounts are able to leave comments. Log in, please.